//bridge-file-version: #3
{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.ftl_sc_huggy_wuggy.general": {
			"initial_state": "moving",
			"states": {
				"moving": {
					"variables": {
						"move_speed": {
							"input": "query.modified_move_speed",
							"remap_curve": {
								"0": 0,
								"1": 1
							}
						},
						"is_idling": {
							"input": "query.modified_move_speed",
							"remap_curve": {
								"0": 1,
								"1": 0
							}
						}
					},
					"blend_transition": 0.1,
					"animations": [
						{
							"moving": "variable.move_speed"
						},
						{
							"ftl_sc_huggy_wuggy_general": "variable.is_idling"
						}
					],
					"transitions": [
						{
							"jumpscare": "query.has_rider"
						},
						{
							"jumping": "!query.is_on_ground && !query.is_in_water && !query.has_rider"
						}
					]
				},
				"jumpscare": {
					"animations": [
						"jumpscare"
					],
					"transitions": [
						{
							"moving": "!query.has_rider"
						}
					],
					"blend_transition": 0.5
				},
				"jumping": {
					"animations": [
						"jumping"
					],
					"transitions": [
						{
							"moving": "query.is_on_ground"
						}
					],
					"blend_transition": 0.5
				}
			}
		},
		"controller.animation.ftl_sc_huggy_wuggy.vent": {
			"states": {
				"default": {
					"variables": {
						"move_speed": {
							"input": "query.modified_move_speed",
							"remap_curve": {
								"0": 0,
								"1": 1
							}
						},
						"is_idling": {
							"input": "query.modified_move_speed",
							"remap_curve": {
								"0": 1,
								"1": 0
							}
						}
					},
					"blend_transition": 0.1,
					"animations": [
						{
							"moving_vent": "variable.move_speed"
						},
						{
							"ftl_sc_huggy_wuggy_vent": "variable.is_idling"
						}
					],
					"transitions": [
						{
							"jumpscare": "query.has_rider"
						}
					]
				},
				"jumpscare": {
					"animations": [
						"jumpscare"
					],
					"transitions": [
						{
							"moving": "!query.has_rider"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.ftl_sc_huggy_wuggy.attack": {
			"states": {
				"default": {
					"transitions": [
						{
							"attack1": "variable.attack_time > 0"
						}
					],
					"blend_transition": 0.1
				},
				"attack1": {
					"animations": [
						"attack"
					],
					"transitions": [
						{
							"default": "query.all_animations_finished"
						}
					],
					"blend_transition": 0.1
				}
			}
		},
		"controller.animation.ftl_sc_huggy_wuggy.looking_at": {
			"states": {
				"default": {
					"animations": [
						"looking"
					]
				}
			}
		},
		"controller.animation.ftl_sc_huggy_buddy.general": {
			"initial_state": "moving",
			"states": {
				"moving": {
					"variables": {
						"move_speed": {
							"input": "query.modified_move_speed",
							"remap_curve": {
								"0": 0,
								"1": 1
							}
						},
						"is_idling": {
							"input": "query.modified_move_speed",
							"remap_curve": {
								"0": 1,
								"1": 0
							}
						}
					},
					"blend_transition": 0.1,
					"animations": [
						{
							"moving": "variable.move_speed"
						},
						{
							"ftl_sc_huggy_wuggy_general": "variable.is_idling"
						}
					],
					"transitions": [
						{
							"climbing": "query.is_wall_climbing"
						},
						{
							"jumpscare": "query.has_rider"
						}
					]
				},
				"climbing": {
					"animations": [
						"climbing"
					],
					"transitions": [
						{
							"moving": "!query.is_wall_climbing"
						}
					],
					"blend_transition": 0.5
				},
				"jumpscare": {
					"animations": [
						"jumpscare"
					],
					"transitions": [
						{
							"moving": "!query.has_rider"
						}
					],
					"blend_transition": 0.5
				}
			}
		}
	}
}
\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\\\"": \\\\""?\]}}}}}